# Disable the shebangs checks on scripts that currently don't
# define a Python version.The point here is that these scripts
#will be copied to guest VM instances,which may be running
#Operating Systems that can haveeither Python 2 or Python 3,
#but it's impossible to know for sure at packaging time.
%global __brp_mangle_shebangs_exclude_from multicast_guest.py|netperf_agent.py|ksm_overcommit_guest.py|check_cpu_flag.py|virtio_console_guest.py|boottool.py|VirtIoChannel_guest_send_receive.py|serial_host_send_receive.py

Summary: Avocado Virt Test Plugin
Name: avocado-vt
Version: 82.0
Release: 3%{?dist}
License: GPLv2
URL: http://avocado-framework.readthedocs.org/
Source0: https://releases.pagure.org/avocado-vt/%{name}-%{version}.tar.gz
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
BuildArch: noarch

%description
Avocado Virt Test is a plugin that lets you execute virt-tests
with all the avocado convenience features, such as HTML report,
Xunit output, among others.

%package -n python3-%{name}
Summary: %{summary}
Requires: python3-avocado >= 51.0
Requires: python3-pillow
Requires: xz
Requires: gcc
Requires: git
Requires: attr
Requires: qemu-kvm
Requires: qemu-img
Requires: tcpdump
Requires: iproute
Requires: iputils
Requires: nmap-ncat
Requires: gstreamer1-plugins-good
Requires: policycoreutils-python-utils

%{?python_provide:%python_provide python3-%{name}}
%description -n python3-%{name}
Avocado-VT is a plugin that lets you execute virtualization tests
with all the avocado convenience features, such as HTML report,
Xunit output, among others.

%prep
%setup -q -n %{name}-%{version}

%build
%py3_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/avocado/conf.d
%py3_install
mv %{buildroot}%{python3_sitelib}/avocado_vt/conf.d/* %{buildroot}%{_sysconfdir}/avocado/conf.d


%files -n python3-%{name}
%dir %{_sysconfdir}/avocado
%dir %{_sysconfdir}/avocado/conf.d
%dir %{_datadir}/avocado-plugins-vt
%dir %{_datadir}/avocado-plugins-vt/backends
%dir %{_datadir}/avocado-plugins-vt/shared
%dir %{_datadir}/avocado-plugins-vt/test-providers.d
%config(noreplace)%{_sysconfdir}/avocado/conf.d/*.conf
%doc README.rst
%license LICENSE
%{python3_sitelib}/avocado_plugins_vt*
%{python3_sitelib}/avocado_vt*
%{python3_sitelib}/virttest*
%{_datadir}/avocado-plugins-vt/backends/*
%{_datadir}/avocado-plugins-vt/shared/*
%{_datadir}/avocado-plugins-vt/test-providers.d/*



%changelog

* Fri Oct 30 2020 Cleber Rosa <cleber@redhat.com> - 82.0-2
- Use data files from Python's standard location

* Sun Sep 13 2020 Cleber Rosa <cleber@redhat.com> - 82.0-1
- New release

* Tue Sep  1 2020 Cleber Rosa <cleber@redhat.com> - 81.0-1
- New release

* Fri Jun  5 2020 Cleber Rosa <cleber@redhat.com> - 80.0-1
- New release

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 77.0-2
- Rebuilt for Python 3.9

* Mon May 11 2020 Cleber Rosa <cleber@redhat.com> - 79.0-0
- New release

* Tue Apr 14 2020 Cleber Rosa <cleber@redhat.com> - 78.0-0
- New release

* Sat Mar 21 2020 Lily Nie <lnie@redhat.com> - 77.0-1
- Modify the code according to the feedback of fedora-review

* Tue Mar 17 2020 Cleber Rosa <cleber@redhat.com> - 77.0-0
- New release
